Diligent Engine API Reference: Diligent::SamplerBase< BaseInterface, RenderDeviceBaseInterface > Class Template Reference

Diligent Engine API Reference

Public Member Functions | List of all members
Diligent::SamplerBase< BaseInterface, RenderDeviceBaseInterface > Class Template Reference

Template class implementing base functionality for a sampler object. More...

Inheritance diagram for Diligent::SamplerBase< BaseInterface, RenderDeviceBaseInterface >:

## Public Member Functions
| SamplerBase (IReferenceCounters *pRefCounters, IRenderDevice *pDevice, const SamplerDesc &SamDesc, bool bIsDeviceInternal=false)
| ~SamplerBase ()
Public Member Functions inherited from Diligent::DeviceObjectBase< BaseInterface, SamplerDesc >
| DeviceObjectBase (IReferenceCounters *pRefCounters, IRenderDevice *pDevice, const SamplerDesc &ObjDesc, bool bIsDeviceInternal=false)
UniqueIdentifier | GetUniqueID () const
| Returns unique identifier. More...

## Additional Inherited Members
Protected Attributes inherited from Diligent::DeviceObjectBase< BaseInterface, SamplerDesc >
const String | m_ObjectNameCopy
| Copy of a device object name. More...
SamplerDesc | m_Desc
| Object description.

## Detailed Description

### template<class BaseInterface, class RenderDeviceBaseInterface>
class Diligent::SamplerBase< BaseInterface, RenderDeviceBaseInterface >

Template class implementing base functionality for a sampler object.

Template Parameters

  BaseInterface | - base interface that this class will inheret (Diligent::ISamplerD3D11, Diligent::ISamplerD3D12 or Diligent::ISamplerGL).
  RenderDeviceBaseInterface | - base interface for the render device (Diligent::IRenderDeviceD3D11, Diligent::IRenderDeviceD3D12, Diligent::IRenderDeviceGL, or Diligent::IRenderDeviceGLES).

## Constructor & Destructor Documentation

## ◆ SamplerBase()

template<class BaseInterface, class RenderDeviceBaseInterface>

Diligent::SamplerBase< BaseInterface, RenderDeviceBaseInterface >::SamplerBase | ( | IReferenceCounters * | pRefCounters,
|  | IRenderDevice * | pDevice,
|  | const SamplerDesc & | SamDesc,
|  | bool | bIsDeviceInternal = `false`
| ) |  |
| inline

Parameters

  pRefCounters | - reference counters object that controls the lifetime of this sampler.
  pDevice | - pointer to the device.
  SamDesc | - sampler description.
  bIsDeviceInternal | - flag indicating if the sampler is an internal device object and must not keep a strong reference to the device.

## ◆ ~SamplerBase()

template<class BaseInterface, class RenderDeviceBaseInterface>

Diligent::SamplerBase< BaseInterface, RenderDeviceBaseInterface >::~SamplerBase | ( |  | ) |
| inline

Note
  Destructor cannot directly remove the object from the registry as this may cause a deadlock.